﻿using CoreModels.ModelsDepartment;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;
using ToolsModule.ManagmentSecurity;

namespace CoreDatabase.Models.Department
{
    [DataContract]
	public class Post : BaseEntity, IEntitySecurityExtenstion<Post>, IPostModel
	{
		[DataMember]
		public string PostName { get; set; }

		[DataMember]
		public int? Hours { get; set; }

		[DataMember]
		public int Order { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		[ForeignKey("PostId")]
		public virtual List<EmployeePost> EmployeePosts { get; set; }

		[ForeignKey("PostId")]
		public virtual List<LecturerPost> LecturerPosts { get; set; }

		//-------------------------------------------------------------------------

		public Post SecurityCheck(Post entity, bool allowFullData) => entity;

		public override string ToString() => PostName;
	}
}